/**
 * web_networkcontroller_httppost.h: HTTPPost
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007, 2008
 */

#ifndef WEB_NETWORKCONTROLLER_HTTPPOST_H_
#define WEB_NETWORKCONTROLLER_HTTPPOST_H_

#include <string.h>
#include <stdlib.h>
#include <Sockets/HttpPostSocket.h>

class My_Web_HttpPostSocket : public HttpPostSocket
{
public:
	My_Web_HttpPostSocket( ISocketHandler&, const std::string& url_in );
private:
	virtual std::string MyUseragent( );
};

#endif // WEB_NETWORKCONTROLLER_HTTPPOST_H_
